invalid lvalue error when trying to build bootstrap gcc

Dimitry Andric dimitry@andric.com
Mon Aug 14 11:32:00 GMT 2006


°×ÔƳÇÖ÷Ò¶¹Â³Ç wrote:
> ./config/arm/arm.c:530: error: invalid lvalue in assignment
> make[2]: *** [arm.o] Error 1
> make[2]: Leaving directory `embedded/build-tools/gcc-2.95.3/gcc'
...
> My PC host:
> i386-redhat fedora5  kernel 2.6.15
> gcc version: 4.1.0

I think it's become quite impossible to build gcc 2.95 with gcc 4.1.0.
:) It's probably best to try building a newer crosscompiler, e.g. gcc
4.x, or else 3.4 or 3.3.  Alternatively you can try to install some
Fedora "old compiler" package, e.g. gcc 3.3 or 3.4, or even 2.95, and
try building with that.

--
For unsubscribe information see http://sourceware.org/lists.html#faq



More information about the crossgcc mailing list